%define plugdir %(xmms-config --input-plugin-dir 2>/dev/null)

Name:           xmms-modplug
Version:        2.05
Release:        19%{?dist}
Summary:        Modplug Plugin for XMMS

License:        Public Domain
Group:          Applications/Multimedia
URL:            http://modplug-xmms.sourceforge.net/
Source:         http://dl.sf.net/modplug-xmms/modplugxmms-%{version}.tar.gz
Patch0:         %{name}-2.05-archivers.patch
Patch1:         %{name}-2.05-includes.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  xmms-devel
BuildRequires:  gtk+-devel
BuildRequires:  gettext
BuildRequires:  libmodplug-devel >= 1:0.7
BuildConflicts: %{name} < 2.0
Requires:       xmms-libs%{?_isa}
Provides:       modplug-xmms = %{version}-%{release}

%description
Modplug-XMMS is a fully featured, complete input plugin for XMMS which
plays mod-like music formats. It is based on the mod rendering code
from ModPlug, a popular windows mod player written by Olivier
Lapicque, found at <http://www.modplug.com/>.


%prep
%setup -q -n modplugxmms-%{version}
sed -e 's|"/usr/bin/uzip"|"/usr/bin/unzip"|' %{PATCH0} | patch -p1
%patch1 -p1
ln -sf %{_includedir}/xmms/plugin.h modplugxmms/plugin.h


%build
%configure
make -C modplugxmms %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make -C modplugxmms install \
    DESTDIR=$RPM_BUILD_ROOT XMMS_INPUT_PLUGIN_DIR=%{plugdir}
rm -f $RPM_BUILD_ROOT{%{_libdir}/*.la,%{plugdir}/*.la}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{plugdir}/libmodplugxmms.so


%changelog
* Wed Jun 23 2010 Ville Skyttä <ville.skytta@iki.fi> - 2.05-19
- Drop modplugplay, it's in modplugtools now (#600835).

* Tue Jun  1 2010 Ville Skyttä <ville.skytta@iki.fi> - 2.05-18
- Rebuild.

* Thu Apr  8 2010 Ville Skyttä <ville.skytta@iki.fi> - 2.05-17
- Link modplugplay with alsa-oss to make it more likely to work OOTB.

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.05-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Mar  6 2009 Ville Skyttä <ville.skytta@iki.fi> - 2.05-15
- Add %%{?_isa} to xmms-libs dependency.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.05-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Aug 30 2008 Ville Skyttä <ville.skytta@iki.fi> - 2.05-13
- Unfuzz patches.

* Thu Jan  3 2008 Ville Skyttä <ville.skytta@iki.fi> - 2.05-12
- Fix build with gcc 4.3's cleaned up C++ headers.

* Wed Aug 22 2007 Ville Skyttä <ville.skytta@iki.fi> - 2.05-11
- Rebuild.

* Mon Aug  6 2007 Ville Skyttä <ville.skytta@iki.fi> - 2.05-10
- Build with plugin.h from xmms-devel instead of a private copy.

* Thu Jul  5 2007 Ville Skyttä <ville.skytta@iki.fi> - 2.05-9
- Rebuild to fix symbol lookup failures on i386 (#247146).

* Tue Dec 12 2006 Ville Skyttä <ville.skytta@iki.fi> - 2.05-8
- Apply upstream patch to fix crash if some unarchivers are not found (#217195)

* Wed Aug 30 2006 Ville Skyttä <ville.skytta@iki.fi> - 2.05-7
- Rebuild.

* Thu Apr  6 2006 Ville Skyttä <ville.skytta@iki.fi> - 2.05-6
- Require xmms-libs instead of xmms.

* Tue Feb 14 2006 Ville Skyttä <ville.skytta@iki.fi> - 2.05-5
- Rebuild, cosmetics.

* Thu Aug 25 2005 Warren Togami <wtogami@redhat.com> - 2.05-4
- rebuild (#166814)

* Thu May 19 2005 Ville Skyttä <ville.skytta@iki.fi> - 2.05-3
- Rebuild.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.05-2
- rebuilt

* Fri Oct 17 2003 Ville Skyttä <ville.skytta@iki.fi> - 0:2.05-0.fdr.1
- Update to 2.05.
- Split libmodplug into its own package.

* Thu Jul 24 2003 Ville Skyttä <ville.skytta@iki.fi> - 0:2.04-0.fdr.2
- Use libtoolize and friends to fix build on Severn (bug 489).

* Tue May 13 2003 Ville Skyttä <ville.skytta@iki.fi> - 0:2.04-0.fdr.1
- Update to 2.04.
- No longer requires compat-gcc-c++, builds with GCC 3.2.
- Includes a command line player (in modplugplay subpackage).
- %%{buildroot} -> $RPM_BUILD_ROOT.

* Sun Apr 13 2003 Ville Skyttä <ville.skytta@iki.fi> - 0:2.03-0.fdr.2
- Change package name to xmms-modplug and provide modplug-xmms (#132).
- Use xmms-config for getting the plugin dir (#132).

* Sat Apr  5 2003 Ville Skyttä <ville.skytta@iki.fi> - 0:2.03-0.fdr.1
- First Fedora release, based on MDK cooker one.
- Save .spec in UTF-8.

* Tue Mar 11 2003 Götz Waschk <waschk@linux-mandrake.com> 2.03-4mdk
- mklibname macro

* Tue Mar 11 2003 Götz Waschk <waschk@linux-mandrake.com> 2.03-3mdk
- fix buildrequires

* Sat Dec 21 2002 Götz Waschk <waschk@linux-mandrake.com> 2.03-2mdk
- fix build for rpm
- patch1: don't flush output device (compatibility with the crossfader)

* Wed Oct 16 2002 Götz Waschk <waschk@linux-mandrake.com> 2.03-1mdk
- autoconf 2.5 macro
- use included configure script
- 2.03

* Fri Aug 16 2002 Götz Waschk <waschk@linux-mandrake.com> 2.02-3mdk
- gcc 3.2-0.3mdk build

* Mon Jul 29 2002 Götz Waschk <waschk@linux-mandrake.com> 2.02-2mdk
- gcc 3.2 build

* Tue Jul 23 2002 Götz Waschk <waschk@linux-mandrake.com> 2.02-1mdk
- 2.02
- drop pstreams and patch, not needed anymore
- use bugfix patch from the author
- enable nls to make it build

* Tue Jun 18 2002 Götz Waschk <waschk@linux-mandrake.com> 2.01-1mdk
- 2.01
- drop patch1

* Sun Jun  9 2002 Götz Waschk <waschk@linux-mandrake.com> 2.0-2mdk
- gcc 3.1 port (bzip2 and gzip support currently broken)

* Mon Oct 29 2001 Götz Waschk <waschk@linux-mandrake.com> 2.0-1mdk
- split library package
- patched for creating versioned library libmodplug.so.0
- updated files section
- BuildConflicts older modplug-xmms
- 2.0
- changed License tag, now it's Public Domain

* Tue Aug 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.5a-3mdk
- too fast

* Tue Aug 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.5a-2mdk
- rebuild

* Tue Feb 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.5a-1mdk
- udpated by Götz Waschk <waschk@linux-mandrake.com> :
        - 1.5a

* Fri Jan 26 2001 Götz Waschk <waschk@linux-mandrake.com> 1.5-1mdk
- 1.5
- gcc 2.96 again
- make rpmlint happy by renaming spec file

* Mon Jan 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3a-1mdk
- uploaded to 1.3
- build with egcs

* Mon Jul 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2-2mdk
- took contributed SRPM from Götz Waschk <waschk@linux-mandrake.com>
- more macros

* Sun Jul 16 2000 Götz Waschk <waschk@linux-mandrake.com> 1.2-1mdk
- initial Mandrake release
